﻿using System.Collections.Immutable;
using System.Reflection;
using Connected.Annotations;
using Microsoft.AspNetCore.Http;

namespace Connected.Rest;

internal interface IApiResolutionService
{
	ApiInvokeDescriptor? ResolveMethod(HttpContext context);
	Type? ResolveArgument(ParameterInfo parameter);

	ImmutableList<Tuple<string, ServiceMethodVerbs>> QueryRoutes();
}
